
QGIS Application - Bug report #6117

Eckert projections not available as User Defined CRS once created as Custom CRS

2012-07-29 07:33 AM - Thomas Weiss

Status: Closed

Priority: Normal

Assignee:

Category: Projection Support

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 15456

Description

Some historical projections, specifically the Max Eckert series (Eckert I-VI) can be successfully defined in the Custom CRS dialog and

saved in the Custom CRS database, but are not listed as User Defined Coordinate Systems in the Project Properties-->Coordinate

Reference Systems dialog. Hence, while I can define these projections, I can not use them.

My procedure is as follows:

1. Settings-->Custom CRS...

2. Click Star icon in Define section to create a new Custom CRS database entry

3. In Define section: Name = "Eckert I [ESRI:53015]"; Parameters = "+proj=eck1 +lon_0=0 +k=1 +x_0=0 +y_0=0 +a=6371000

+b=6371000 +units=m +no_defs" 

4. In Test section: Parameters = "+proj=eck1 +lon_0=0 +k=1 +x_0=0 +y_0=0 +a=6371000 +b=6371000 +units=m +no_defs" 

Geographic/WGS84 North = 25 returns Destination CRS result of 2,561,146.4404

Geographic/WGS84 East = 25 returns Destination CRS result of 2,205,431.6570 (i.e., Test succeeds)

5. Click Floppy Disk icon in Define section to save Eckert I projection in Custom CRS database

6. Click OK to exist Custom CRS dialog

7. Settings-->Project Properties-->Coordinate Referenece System (CRS) tab

8. Activate "Enable 'on the fly' CRS transformation'

9. In "Coordinate reference systems of the world" list box, scroll down to "User Defined Coordinate Systems" 

10. Find that my custom Eckert I projection is not listed.

I have tried the above procedure with a Van der Grinten projection (+proj=vandg +lon_0=0 +x_0=0 +y_0=0 +R_A +a=6371000

+b=6371000 +units=m +no_defs) and have found that it does show up as a User Defined Coordinate System.

Also, adding a shapefile layer that has been projected to Eckert I projection in other GIS software results in QGIS not recognizing the

shapefile's projection.

There was a recent OSGeo changeset to GDAL's OGRSpatialReference that specifically added definitions for these very projections (see

http://trac.osgeo.org/gdal/changeset/22786). Perhaps QGIS has not incorporated this changeset?

Using OSgeo4w's command shell, "gdalsrsinfo -V +proj=eck1" returns a successful validation in GDAL version 1.7.3.

I am conducting research with historical maps (hence the need for historical projections), and I need the Eckert I projection to approximate

the ancient Trapezoidal projections. I would like to use QGIS for this research, but I cannot because of this bug. Many thanks in advance

for your help!

Associated revisions

Revision 12106b8b - 2012-07-29 06:25 PM - Jürgen Fischer

allow crs without projection entries (fixes #6117)
http://trac.osgeo.org/gdal/changeset/22786


History

#1 - 2012-07-29 09:25 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"12106b8b8b638f3543e49807334f6dd7bbbb7480".

#2 - 2012-07-29 09:29 AM - Jürgen Fischer

Jürgen Fischer wrote:

Fixed in changeset commit:"12106b8b8b638f3543e49807334f6dd7bbbb7480".

"projection entries" actually means entries in tbl_projection.

BTW with recent builds EPSG:53015 should already be in the list (maybe not shown until now - because a tbl_projection entry for the projection_acroym

was required).

#3 - 2012-08-01 07:42 PM - Thomas Weiss

Jürgen--thanks for your help! I have found EPSG:53015 in QGIS-dev master as you mentioned, but I still encounter the same problem I originally posted

about when trying to customize the projection (I need to able to set the central meridian to different longitude coordinates in order to approximate those of

historical maps). If this requires a custom build with the changeset you linked to, I'm afraid that's a bit beyond my abilities at the moment.

At any rate, thanks again!

-Thomas
